Bug 1503988 - [abrt] remmina: do_validate_rows(): remmina killed by SIGSEGV
Summary: [abrt] remmina: do_validate_rows(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc446f4fca870ccbed5af846b9b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-19 08:50 UTC by Łukasz Faber
Modified: 2018-01-10 02:07 UTC (History)
3 users (show)

Fixed In Version: remmina-1.2.0-0.43.20171220git08f5b4b.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 remmina-1.2.0-0.44.rcgit.26.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 01:37:22 UTC


Attachments (Terms of Use)
File: backtrace (70.86 KB, text/plain)
2017-10-19 08:50 UTC, Łukasz Faber
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-19 08:50 UTC, Łukasz Faber
no flags Details
File: core_backtrace (24.87 KB, text/plain)
2017-10-19 08:50 UTC, Łukasz Faber
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2017-10-19 08:50 UTC, Łukasz Faber
no flags Details
File: dso_list (12.55 KB, text/plain)
2017-10-19 08:50 UTC, Łukasz Faber
no flags Details
File: environ (2.98 KB, text/plain)
2017-10-19 08:51 UTC, Łukasz Faber
no flags Details
File: exploitable (82 bytes, text/plain)
2017-10-19 08:51 UTC, Łukasz Faber
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-19 08:51 UTC, Łukasz Faber
no flags Details
File: maps (66.35 KB, text/plain)
2017-10-19 08:51 UTC, Łukasz Faber
no flags Details
File: open_fds (1.93 KB, text/plain)
2017-10-19 08:51 UTC, Łukasz Faber
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-10-19 08:51 UTC, Łukasz Faber
no flags Details
File: var_log_messages (4.99 KB, text/plain)
2017-10-19 08:51 UTC, Łukasz Faber
no flags Details

Description Łukasz Faber 2017-10-19 08:50:45 UTC
Description of problem:
I have opened a new RDP connection.

Version-Release number of selected component:
remmina-1.2.0-0.42.20170908git205df66.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: do_validate_rows
executable:     /usr/bin/remmina
journald_cursor: s=4ed6f4c10cb34f11bc4458f726a9ed21;i=2d1a;b=b14b3c0d03434e2dbb501cd930040a98;m=1069fb0c77;t=55be25609937d;x=510ca020c731fe69
kernel:         4.13.6-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 do_validate_rows at gtktreeview.c:6897
 #1 gtk_tree_view_get_preferred_width at gtktreeview.c:2637
 #2 gtk_widget_query_size_for_orientation at gtksizerequest.c:181
 #3 gtk_widget_compute_size_for_orientation at gtksizerequest.c:399
 #4 gtk_widget_get_preferred_width at gtksizerequest.c:492
 #5 gtk_scrolled_window_measure at gtkscrolledwindow.c:1818
 #6 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #7 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:675
 #8 gtk_scrolled_window_get_preferred_width at gtkscrolledwindow.c:4060
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:181

Potential duplicate: bug 1464442

Comment 1 Łukasz Faber 2017-10-19 08:50:51 UTC
Created attachment 1340596 [details]
File: backtrace

Comment 2 Łukasz Faber 2017-10-19 08:50:52 UTC
Created attachment 1340597 [details]
File: cgroup

Comment 3 Łukasz Faber 2017-10-19 08:50:55 UTC
Created attachment 1340598 [details]
File: core_backtrace

Comment 4 Łukasz Faber 2017-10-19 08:50:56 UTC
Created attachment 1340599 [details]
File: cpuinfo

Comment 5 Łukasz Faber 2017-10-19 08:50:58 UTC
Created attachment 1340600 [details]
File: dso_list

Comment 6 Łukasz Faber 2017-10-19 08:51:00 UTC
Created attachment 1340601 [details]
File: environ

Comment 7 Łukasz Faber 2017-10-19 08:51:01 UTC
Created attachment 1340602 [details]
File: exploitable

Comment 8 Łukasz Faber 2017-10-19 08:51:03 UTC
Created attachment 1340603 [details]
File: limits

Comment 9 Łukasz Faber 2017-10-19 08:51:05 UTC
Created attachment 1340604 [details]
File: maps

Comment 10 Łukasz Faber 2017-10-19 08:51:06 UTC
Created attachment 1340605 [details]
File: open_fds

Comment 11 Łukasz Faber 2017-10-19 08:51:08 UTC
Created attachment 1340606 [details]
File: proc_pid_status

Comment 12 Łukasz Faber 2017-10-19 08:51:10 UTC
Created attachment 1340607 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-12-20 14:32:30 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 14 Fedora Update System 2017-12-20 14:33:21 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 15 Fedora Update System 2017-12-21 20:26:18 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 16 Fedora Update System 2017-12-21 21:11:11 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 17 Fedora Update System 2018-01-04 23:19:46 UTC
remmina-1.2.0-0.44.rcgit.26.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5730340aa9

Comment 18 Fedora Update System 2018-01-05 11:59:10 UTC
remmina-1.2.0-0.44.rcgit.26.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5730340aa9

Comment 19 Fedora Update System 2018-01-08 01:37:22 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-01-09 16:48:22 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-01-10 02:07:52 UTC
remmina-1.2.0-0.44.rcgit.26.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.